This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 507097 - Memory, Virtual CPU, and Disk Image size options for virtual guests not applied when virtual guest provisioned
Memory, Virtual CPU, and Disk Image size options for virtual guests not appli...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
530
All Linux
high Severity high
: ---
: ---
Assigned To: Partha Aji
Brad Buckingham
:
Depends On:
Blocks: 457075
  Show dependency treegraph
 
Reported: 2009-06-20 16:38 EDT by Steve Salevan
Modified: 2009-09-10 15:26 EDT (History)
5 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:26:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Salevan 2009-06-20 16:38:45 EDT
Description of problem:
If a user opts to change the default Memory, Virtual CPU, and Disk Image size options in Advanced Configuration upon kickstarting a virtual guest, these settings will not be transmitted to Koan appropriately, resulting in a default guest being provisioned in spite of these non-default settings.

Version-Release number of selected component (if applicable):
530, 6/12 build

How reproducible:
Always

Steps to Reproduce:
1. Register a Virtualized Host to a Satellite
2. Access the SDC for this system
3. Virtualization->Provisioning
4. Set a name for the new guest
5. Click 'Advanced Configuration'
6. Set the default memory, virtual CPU, and disk image settings to non-defaults
7. Run rhn_check on the virt host
8. Examine the configuration files produced in /etc/xen and the size of the produced disk image in /var/lib/xen
  
Actual results:
Config file and disk image size reflect defaults

Expected results:
Config file and disk image size reflect non-defaults

Additional info:
Comment 2 Partha Aji 2009-06-24 11:34:15 EDT
Moving to ON_QA
Comment 3 Brad Buckingham 2009-06-30 16:28:20 EDT
Satellite-5.3.0-RHEL5-re20090625.0-i386-embedded-oracle.iso

Ran the scenario described in the description and verified that the guest was provisioned with correct values for memory, cpu and disk.

Moving to VERIFIED.
Comment 4 Brad Buckingham 2009-07-29 14:03:47 EDT
Satellite-5.3.0-RHEL5-re20090724.0-i386-embedded-oracle.iso

Moving to RELEASE_PENDING.
Comment 5 Brandon Perkins 2009-09-10 15:26:30 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.